"""create table for bananas

Revision ID: 2d7c4f9e8a1c
Revises: 0001
Create Date: 2023-05-24 15:28:05.964682

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.sql import func

# revision identifiers, used by Alembic.
revision = '2d7c4f9e8a1c'
down_revision = '0001'
branch_labels = None
depends_on = None


def upgrade():
    op.create_table(
        'bananas',
        sa.Column('id', sa.String(36), primary_key=True),
        sa.Column('name', sa.String(), nullable=False),
        sa.Column('description', sa.String(), nullable=True),
        sa.Column('quantity', sa.Integer(), nullable=False),
        sa.Column('created_at', sa.DateTime(), server_default=func.now()),
        sa.Column('updated_at', sa.DateTime(), server_default=func.now(), onupdate=func.now())
    )


def downgrade():
    op.drop_table('bananas')