from sqlalchemy import Column, String, DateTime
from sqlalchemy.dialects.postgresql import UUID
from sqlalchemy.sql import func
from core.database import Base
import uuid

class Fruit(Base):
    __tablename__ = "fruits"

    id = Column(UUID(as_uuid=True), primary_key=True, default=uuid.uuid4)
    name = Column(String, nullable=False, unique=True, index=True)
    color = Column(String, nullable=False)
    created_at = Column(DateTime, default=func.now())
    updated_at = Column(DateTime, default=func.now(), onupdate=func.now())

    @classmethod
    def delete_by_id(cls, db, fruit_id):
        fruit = db.query(cls).filter(cls.id == fruit_id).first()
        if fruit:
            db.delete(fruit)
            db.commit()